/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 添加系统 模板数据参数字典 POST /api/LgGigWorkerCustomerTemplateParam/AddSystemTemplateDataParamSetting */
export async function addSystemTemplateDataParamSetting(
  body: API.AddSystemTemplateDataParamSettingInput,
  options?: API.RequestConfig
) {
  return request<number>(
    '/api/LgGigWorkerCustomerTemplateParam/AddSystemTemplateDataParamSetting',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取所有系统 模板数据参数字典 POST /api/LgGigWorkerCustomerTemplateParam/GetAllSystemTemplateDataParamSettingList */
export async function getAllSystemTemplateDataParamSettingList(options?: API.RequestConfig) {
  return request<API.SystemTemplateDataParamSettingOutput[]>(
    '/api/LgGigWorkerCustomerTemplateParam/GetAllSystemTemplateDataParamSettingList',
    {
      method: 'POST',
      ...(options || {}),
    }
  );
}

/** 根据模板id获取模板参数列表 POST /api/LgGigWorkerCustomerTemplateParam/GetCustomerTemplateParamListByTemplateId */
export async function getCustomerTemplateParamListByTemplateId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCustomerTemplateParamListByTemplateIdParams,
  options?: API.RequestConfig
) {
  return request<API.CustomerTemplateParamListOutput[]>(
    '/api/LgGigWorkerCustomerTemplateParam/GetCustomerTemplateParamListByTemplateId',
    {
      method: 'POST',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 保存模板参数 POST /api/LgGigWorkerCustomerTemplateParam/SaveCustomerTemplateParam */
export async function saveCustomerTemplateParam(
  body: API.SaveCustomerTemplateParamInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerCustomerTemplateParam/SaveCustomerTemplateParam', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
